| LPCOpen Platform v1.03 LPCOpen Platform for NXP LPC Microcontrollers

- Main Page
- Modules
- Data Structures
- Files
- Related Pages

- Data Structures
- Data Structure Index
- Data Fields

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Data Fields
GPDMA_Channel_CFG_T Struct Reference
IP: GPDMA register block and driver

## Detailed Description

GPDMA structure using for DMA configuration.

Definition at line 163 of file gpdma_001.h.

`#include "gpdma_001.h"`

## Data Fields
uint32_t | ChannelNum
uint32_t | TransferSize
uint32_t | TransferWidth
uint32_t | SrcAddr
uint32_t | DstAddr
uint32_t | TransferType

## Field Documentation

uint32_t ChannelNum

DMA channel number, should be in range from 0 to 7. Note: DMA channel 0 has the highest priority and DMA channel 7 the lowest priority.

Definition at line 164 of file gpdma_001.h.

uint32_t DstAddr

Physical Destination Address, used in case TransferType is chosen as GPDMA_TRANSFERTYPE_M2M or GPDMA_TRANSFERTYPE_P2M

Definition at line 173 of file gpdma_001.h.

uint32_t SrcAddr

Physical Source Address, used in case TransferType is chosen as GPDMA_TRANSFERTYPE_M2M or GPDMA_TRANSFERTYPE_M2P

Definition at line 171 of file gpdma_001.h.

uint32_t TransferSize

Length/Size of transfer

Definition at line 169 of file gpdma_001.h.

uint32_t TransferType

Transfer Type, should be one of the following:

- GPDMA_TRANSFERTYPE_M2M: Memory to memory - DMA control
- GPDMA_TRANSFERTYPE_M2P: Memory to peripheral - DMA control
- GPDMA_TRANSFERTYPE_P2M: Peripheral to memory - DMA control
- GPDMA_TRANSFERTYPE_P2P: Source peripheral to destination peripheral - DMA control

Definition at line 175 of file gpdma_001.h.

uint32_t TransferWidth

Transfer width - used for TransferType is GPDMA_TRANSFERTYPE_M2M only

Definition at line 170 of file gpdma_001.h.

The documentation for this struct was generated from the following file:

- C:/nxp/v1.03/lpcopen_v1.03/lpcopen/software/lpc_core/lpc_ip/gpdma_001.h